// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ucp_handshake.h
// Author        : xianfeng.du
// Created On    : 2022-07-22
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#ifndef __UCP_HANDSHAKE_H__
#define __UCP_HANDSHAKE_H__

#include "typedef.h"

#define MAX_NUM_SPU 12
#define MAX_NUM_CORE (MAX_NUM_SPU+1)
#define NPU_CORE_ID MAX_NUM_SPU

#define HANDSHKAE_REQ_VALUE 0x5A5A5A5A
#define HANDSHKAE_RESP_VALUE 0xA5A5A5A5

typedef struct tUcpHandshake{
    volatile uint32_t request[MAX_NUM_CORE];
    volatile uint32_t response[MAX_NUM_CORE];
    volatile uint32_t heartbeat[MAX_NUM_CORE];
} UcpHandshake_t;

void ucp_handshake(void);

#endif



